Opened 19 months ago

Last modified 18 months ago

#26310 new defect

Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.

Reported by: Logforme Owned by:
Priority: Medium Milestone: Tor: unspecified
Component: Core Tor/Tor Version: Tor: 0.3.3.6
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

from: https://lists.torproject.org/pipermail/tor-relays/2018-June/015352.html

"
I run the non-exit relay 855BC2DABE24C861CD887DB9B2E950424B49FC34

Two days now I've seen this in my log file:

Jun 05 06:25:02.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:25:02.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:25:02.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'

(Repeated for 204.13.164.118, 131.188.40.189, 154.35.175.225, 194.109.206.212, 171.25.193.9, 199.58.81.140)

First time I assumed it was just a glitch. Now I'm wondering if there is something I should do on my side?
"

Child Tickets

TicketStatusOwnerSummaryComponent
#24300newFailed to find node for hop #1 of our path. Discarding this circuitCore Tor/Tor
#27381assignedBad consensus diffs on 0.3.4 and later [with chutney]Core Tor/Tor
#28733needs_information{CONSDIFF} Refusing to apply consensus diffCore Tor/Tor

Attachments (1)

DirTraffic.JPG (135.1 KB) - added by Logforme 18 months ago.

Download all attachments as: .zip

Change History (9)

comment:1 Changed 19 months ago by Logforme

After another round of "refusing to apply ..." messages in the log file this appeared:

Jun 05 14:00:02.000 [warn] Our microdesc consensus is too old, so we will not serve it to clients. It was valid until 2018-06-04 14:00:00 local time and we continued to serve it for up to 24 hours after it expired.
Jun 05 14:00:46.000 [notice] Our directory information is no longer up-to-date enough to build circuits: We have no recent usable consensus.
Jun 05 14:17:24.000 [notice] We now have enough directory information to build circuits.

comment:2 Changed 19 months ago by arma

Hm! (128.31.0.34 is me!)

I was going to wonder if maybe moria1 has old libraries so it is generating consensus diffs that other relays don't like to apply.

But your last comment is interesting too, in that it sounds like your relay is having trouble staying up to date with its consensus documents in general. I wonder why.

Do you have any other interesting log messages?

comment:3 Changed 19 months ago by arma

Reporter: changed from cypherpunks to Logforme

comment:4 Changed 19 months ago by Logforme

No interesting log entries apart from the consensus ones.
Yesterday:

Jun 04 06:25:02.000 [notice] Tor 0.3.3.6 (git-c9903102c98cd028) opening new log file.
Jun 04 09:17:17.000 [notice] Heartbeat: Tor's uptime is 10 days 23:59 hours, with 47346 circuits open. I've sent 19943.69 GB and received 19278.75 GB.
Jun 04 09:17:17.000 [notice] Circuit handshake stats since last time: 96649/96649 TAP, 729879/729879 NTor.
Jun 04 09:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 0 v3 connections, and 148897 v4 connections; and received 481 v1 connections, 127734 v2 connections, 199468 v3 connections, and 1769367 v4 connections.
Jun 04 09:17:17.000 [notice] DoS mitigation since startup: 33 circuits killed with too many cells. 1297896 circuits rejected, 47 marked addresses. 232489 connections closed. 3578 single hop clients refused.
Jun 04 12:07:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:07:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:07:20.000 [warn] Could not apply consensus diff received from server '193.23.244.244:80'
Jun 04 12:08:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:08:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:08:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'
Jun 04 12:09:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:09:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:09:20.000 [warn] Could not apply consensus diff received from server '131.188.40.189:80'
Jun 04 12:10:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:10:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:10:20.000 [warn] Could not apply consensus diff received from server '199.58.81.140:80'
Jun 04 12:11:21.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:11:21.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:11:21.000 [warn] Could not apply consensus diff received from server '86.59.21.38:80'
Jun 04 12:12:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:12:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:12:20.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'
Jun 04 12:13:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:13:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:13:20.000 [warn] Could not apply consensus diff received from server '194.109.206.212:80'
Jun 04 12:15:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:15:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:15:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'
Jun 04 12:20:21.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:20:21.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:20:21.000 [warn] Could not apply consensus diff received from server '86.59.21.38:80'
Jun 04 12:30:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:30:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:30:20.000 [warn] Could not apply consensus diff received from server '194.109.206.212:80'
Jun 04 12:53:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 12:53:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 12:53:20.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'
Jun 04 14:51:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 14:51:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 14:51:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'
Jun 04 15:17:17.000 [notice] Heartbeat: Tor's uptime is 11 days 5:59 hours, with 44350 circuits open. I've sent 20402.46 GB and received 19722.94 GB.
Jun 04 15:17:17.000 [notice] Circuit handshake stats since last time: 138186/138186 TAP, 777846/777846 NTor.
Jun 04 15:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 1 v3 connections, and 153750 v4 connections; and received 488 v1 connections, 131501 v2 connections, 205579 v3 connections, and 1817341 v4 connections.
Jun 04 15:17:17.000 [notice] DoS mitigation since startup: 33 circuits killed with too many cells. 1323657 circuits rejected, 50 marked addresses. 236760 connections closed. 3730 single hop clients refused.
Jun 04 19:06:21.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 19:06:21.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 19:06:21.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 04 20:24:22.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 20:24:22.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 20:24:22.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 04 21:17:17.000 [notice] Heartbeat: Tor's uptime is 11 days 11:59 hours, with 51674 circuits open. I've sent 20930.11 GB and received 20236.57 GB.
Jun 04 21:17:17.000 [notice] Circuit handshake stats since last time: 152671/152671 TAP, 791997/791997 NTor.
Jun 04 21:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 2 v3 connections, and 156752 v4 connections; and received 491 v1 connections, 135176 v2 connections, 211748 v3 connections, and 1867452 v4 connections.
Jun 04 21:17:17.000 [notice] DoS mitigation since startup: 33 circuits killed with too many cells. 1358885 circuits rejected, 51 marked addresses. 241520 connections closed. 3857 single hop clients refused.
Jun 04 21:18:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 21:18:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 21:18:20.000 [warn] Could not apply consensus diff received from server '194.109.206.212:80'
Jun 04 22:04:21.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 22:04:21.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 22:04:21.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'
Jun 04 23:45:22.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 04 23:45:22.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 04 23:45:22.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 05 03:17:17.000 [notice] Heartbeat: Tor's uptime is 11 days 17:59 hours, with 48215 circuits open. I've sent 21410.95 GB and received 20711.14 GB.
Jun 05 03:17:17.000 [notice] Circuit handshake stats since last time: 198991/198991 TAP, 731754/731754 NTor.
Jun 05 03:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 2 v3 connections, and 159835 v4 connections; and received 497 v1 connections, 137915 v2 connections, 215619 v3 connections, and 1903874 v4 connections.
Jun 05 03:17:17.000 [notice] DoS mitigation since startup: 34 circuits killed with too many cells. 1437097 circuits rejected, 54 marked addresses. 246489 connections closed. 3968 single hop clients refused.
Jun 05 04:23:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 04:23:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 04:23:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'

Today:

Jun 05 06:25:01.000 [notice] Tor 0.3.3.6 (git-c9903102c98cd028) opening new log file.
Jun 05 06:25:02.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:25:02.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:25:02.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'
Jun 05 06:25:23.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:25:23.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:25:23.000 [warn] Could not apply consensus diff received from server '204.13.164.118:80'
Jun 05 06:26:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:26:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:26:20.000 [warn] Could not apply consensus diff received from server '131.188.40.189:80'
Jun 05 06:27:23.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:27:23.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:27:23.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 05 06:28:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:28:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:28:20.000 [warn] Could not apply consensus diff received from server '194.109.206.212:80'
Jun 05 06:29:21.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:29:21.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:29:21.000 [warn] Could not apply consensus diff received from server '128.31.0.34:9131'
Jun 05 06:30:23.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:30:23.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:30:23.000 [warn] Could not apply consensus diff received from server '204.13.164.118:80'
Jun 05 06:31:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:31:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:31:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'
Jun 05 06:32:22.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:32:22.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:32:22.000 [warn] Could not apply consensus diff received from server '199.58.81.140:80'
Jun 05 06:33:22.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:33:22.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:33:22.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 05 06:37:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:37:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:37:20.000 [warn] Could not apply consensus diff received from server '194.109.206.212:80'
Jun 05 06:54:20.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 06:54:20.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 06:54:20.000 [warn] Could not apply consensus diff received from server '171.25.193.9:443'
Jun 05 08:55:22.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 08:55:22.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 08:55:22.000 [warn] Could not apply consensus diff received from server '199.58.81.140:80'
Jun 05 09:17:17.000 [notice] Heartbeat: Tor's uptime is 11 days 23:59 hours, with 49595 circuits open. I've sent 21847.63 GB and received 21131.61 GB.
Jun 05 09:17:17.000 [notice] Circuit handshake stats since last time: 68584/68584 TAP, 665809/665809 NTor.
Jun 05 09:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 2 v3 connections, and 162976 v4 connections; and received 502 v1 connections, 140690 v2 connections, 219509 v3 connections, and 1932238 v4 connections.
Jun 05 09:17:17.000 [notice] DoS mitigation since startup: 34 circuits killed with too many cells. 1467622 circuits rejected, 54 marked addresses. 251772 connections closed. 4067 single hop clients refused.
Jun 05 11:27:55.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 11:27:55.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 11:27:55.000 [warn] Could not apply consensus diff received from server '86.59.21.38:80'
Jun 05 11:37:23.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 11:37:23.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 11:37:23.000 [warn] Could not apply consensus diff received from server '154.35.175.225:80'
Jun 05 12:19:23.000 [warn] Refusing to apply consensus diff because the base consensus doesn't match the digest as found in the consensus diff header.
Jun 05 12:19:23.000 [warn] Expected: 2E3DACFB12051F4A45F7F4DC062F6D47DC75DBA85EB72F8E5D43DF134940F2DA; found: 1573CFF458492B70BFDD4E91A594521C4DDD801B11936B8C148BF27F67736713
Jun 05 12:19:23.000 [warn] Could not apply consensus diff received from server '204.13.164.118:80'
Jun 05 14:00:02.000 [warn] Our microdesc consensus is too old, so we will not serve it to clients. It was valid until 2018-06-04 14:00:00 local time and we continued to serve it for up to 24 hours after it expired.
Jun 05 14:00:46.000 [notice] Our directory information is no longer up-to-date enough to build circuits: We have no recent usable consensus.
Jun 05 14:17:24.000 [notice] We now have enough directory information to build circuits.
Jun 05 15:17:17.000 [notice] Heartbeat: Tor's uptime is 12 days 5:59 hours, with 42275 circuits open. I've sent 22322.24 GB and received 21595.63 GB.
Jun 05 15:17:17.000 [notice] Circuit handshake stats since last time: 79958/79958 TAP, 634059/634059 NTor.
Jun 05 15:17:17.000 [notice] Since startup, we have initiated 0 v1 connections, 0 v2 connections, 2 v3 connections, and 165861 v4 connections; and received 507 v1 connections, 144196 v2 connections, 225175 v3 connections, and 1960477 v4 connections.
Jun 05 15:17:17.000 [notice] DoS mitigation since startup: 34 circuits killed with too many cells. 1514625 circuits rejected, 54 marked addresses. 257955 connections closed. 4214 single hop clients refused.
Jun 05 16:11:21.000 [notice] Channel padding timeout scheduled 212495ms in the past.
Jun 05 16:18:21.000 [notice] Channel padding timeout scheduled 253170ms in the past.

comment:5 Changed 19 months ago by Logforme

Regarding old libraries. I should add that the relay runs on a very old Debian Wheezy.

uname -a
Linux xxxx 3.16.0-0.bpo.4-amd64 #1 SMP Debian 3.16.39-1+deb8u1~bpo70+1 (2017-02-24) x86_64 GNU/Linux

What libraries are of interest? Maybe I can find them (I'm a Linux noob)

comment:6 Changed 19 months ago by arma

Well, it's complaining about a bunch of dir auths, not just mine. So that does help to reduce some of the possible causes.

Something else weird: why is it exactly the same set of fingerprints that it's complaining about, for more than a day?

Did this relay get a microdesc consensus that nobody else got?

I wonder if there are more log entries we could put in, to get better hints for the next person who hits this bug.

comment:7 Changed 18 months ago by dgoulet

Milestone: Tor: unspecified

Changed 18 months ago by Logforme

Attachment: DirTraffic.JPG added

comment:8 Changed 18 months ago by Logforme

It happened again yesterday and today.
What I noticed is that during this period the amount of directory traffic written grew dramatically until it pegged my BW:

BWHistoryWriteValues , BWHistoryDirWriteValues , Fraction
(normal)
1617398577152 , 53699181568 , "3,32 %"
1120145275904 , 49430052864 , "4,41 %"
1645068781568 , 69187794944 , "4,21 %"
(event)
1735882629120 , 162891137024 , "9,38 %"
2220831149056 , 767522828288 , "34,56 %"

This could be a cause (attack?) or an effect (clients re-read?)

During this period my BW looked like the attached image: https://trac.torproject.org/projects/tor/attachment/ticket/26310/DirTraffic.JPG

The return to normal BW usage happened exactly at the same time as the log entry:

Jun 23 16:00:01.000 [warn] Our consensus is too old, so we will not serve it to clients. It was valid until 2018-06-22 16:00:00 local time and we continued to serve it for up to 24 hours after it expired. [1141 similar message(s) suppressed in last 3600 seconds]
Last edited 18 months ago by Logforme (previous) (diff)
Note: See TracTickets for help on using tickets.